Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000174 [Piwigo] metadata minor always 2005.10.15 14:02 2005.10.19 22:15
Reporter photiolo View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.5.0RC2 Product Version 1.5.0RC1
  Target Version Product Build
Summary 0000174: use_exif_mapping is not taken into account during metadata synchronisation to update database
Description use_exif_mapping may describe other field than date_creation when using an extended config_local.inc.php
Example:
$conf['use_exif_mapping'] = array(
  'date_creation' => 'DateTimeOriginal',
  'author' => 'Artist',
  'comment' => 'ImageDescription'
  );

In that case, we would like to have these fields updated as for IPTC in the update_metadata() function.
this code: $update_fields = array_merge($update_fields,
                            array_keys($conf['use_iptc_mapping']));
is also good for EXIF.

A problem may occur when both EXIF and IPTC are used. Need a way to choose one or the other in the config file ?
Steps To Reproduce
Additional Information Thanks a lot to all the team for its very good work!

Waiting for RC2....
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000285)
photiolo (reporter)
2005.10.15 14:58

Issue category "metadata" and 1.5 RC1 (sorry)
(0000297)
plg (manager)
2005.10.18 22:35

I've just updated the "Product version". My current filter is on release 1.5.0RC1 so I didn't see your bug entry. I'll look at it tomorrow in depth.
(0000301)
plg (manager)
2005.10.19 20:54
edited on: 2005.10.19 20:55

Thanks for your accurate analysis.

Here I read two issues :

1. bug: in admin/include/functions_metadata.inc::update_metadata function, only date_creation is added to $update_fields even if other keys are configured in $conf['use_exif_mapping']. The correction is as you say, copied from IPTC.

2. feature request: by default IPTC values overload EXIF values for a single key (date_creation for example). You ask a configuration parameter to choose EXIF more important than IPTC.

Concerning the bug correction, I've made the correction and it works fine.

Concerning the feature request, I refuse it. Indeed, I think you should not have keys in common among EXIF and IPTC. If you really want that, you'll have to modify (easy for you I think) the order of EXIF and IPTC retrieval in the foreach loop.

Do you agree with this? (OK means I close the bug entry)

(0000303)
photiolo (reporter)
2005.10.19 22:07

Thank you for such a quick answer and reactivity!
The most important for me is the bug correction to avoid a code modification in each new version. Thanks for that.
Regarding point 2, as you said, I dont use IPTC at all, then it is not a problem for me to have the code left as it is now (IPCT priority over EXIF when both exist). I suppose also that most people wont use both at the same time with the same fields... hope so ;)

A+
(0000306)
plg (manager)
2005.10.19 22:15

Fine :-) I've just commited the bug correction in CVS.

- Issue History
Date Modified Username Field Change
2005.10.15 14:02 photiolo New Issue
2005.10.15 14:02 photiolo browser => any
2005.10.15 14:02 photiolo Web server => Apache 1.3.x
2005.10.15 14:02 photiolo Issue Monitored: photiolo
2005.10.15 14:03 photiolo Issue End Monitor: photiolo
2005.10.15 14:53 photiolo Issue Monitored: photiolo
2005.10.15 14:58 photiolo Note Added: 0000285
2005.10.18 22:35 plg Note Added: 0000297
2005.10.18 22:35 plg Assigned To => plg
2005.10.18 22:35 plg Status new => assigned
2005.10.18 22:35 plg Category category management => metadata
2005.10.18 22:35 plg version => 1.5.0RC1
2005.10.19 20:54 plg Note Added: 0000301
2005.10.19 20:55 plg Note Edited: 0000301
2005.10.19 20:56 plg Status assigned => feedback
2005.10.19 22:07 photiolo Note Added: 0000303
2005.10.19 22:15 plg Note Added: 0000306
2005.10.19 22:15 plg Status feedback => closed
2005.10.19 22:15 plg Resolution open => fixed
2005.10.19 22:15 plg Fixed in Version => 1.5.0RC2


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker